#  (C) 2002 The UbixOS Project
#  $Id$

# Include Global 'Source' Options
include ../../../Makefile.inc
include ../../Makefile.inc

#  Objects
OBJS = ufs_acl.o ufs_bmap.o ufs_dirhash.o ufs_extattr.o ufs_ihash.o ufs_inode.o ufs_lookup.o ufs_quota.o ufs_vfsops.o ufs_vnops.o

all: $(OBJS)

#  Compile Types
.cc.o:
	$(CXX) -Wall -O $(CFLAGS) $(INCLUDES) -c -o $@ $<
.cc.s:
	$(CXX) -Wall -O $(CFLAGS) $(INCLUDES) -S -o $@ $<
.c.o:
	$(CC) -Wall -O $(CFLAGS) $(INCLUDES) -c -o $@ $<
.c.s:
	$(CC) -Wall -O $(CFLAGS) $(INCLUDES) -S -o $@ $<
.S.o:
	$(CC) -Wall $(CFLAGS) $(INCLUDES) -c -o $@ $<

# Clean up the junk
clean:
	$(REMOVE) $(OBJS)

